﻿/*
    Generates an horizontal Golden Triangle included in a frame
*/

#target photoshop

#include "Common.jsx"

var shapeName = "Golden Triangle";

#include "ScriptOpen.jsx"

    var section = docWidth * 0.382;
 
    addFrame(origX, origY, docWidth, docHeight, lineSubPathArray, lineSubPathArrayPos);
    addLine(Array(origX, origY), Array(docWidth + origX, docHeight + origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(origX, docHeight + origY), Array(origX + section, origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(docWidth + origX, origY), Array(docWidth + origX - section, docHeight + origY), lineSubPathArray, lineSubPathArrayPos++);

#include "ScriptClose.jsx"