﻿/*
    A list of common closing instructions used by all shapes
*/

    if(shapeName)
        var myPathItem = app.activeDocument.pathItems.add(shapeName + " " + Math.random(), lineSubPathArray);

    activeDocument.selection.deselect();
    var bds = Array(
        Array(origX, origY),
        Array(origX + docWidth, origY),
        Array(origX + docWidth, origY + docHeight),
        Array(origX, origY + docHeight),
        Array(origX, origY),
        );

    if(myPathItem)
    {
        myPathItem.strokePath(ToolType.BRUSH);
        myPathItem.remove();   
    }

    docRef = null;
    artLayerRef = null;
    
    if(!hadSelection)
        app.activeDocument.selection.deselect();
    else
        app.activeDocument.selection.select(bds);

    app.preferences.rulerUnits = originalUnit;
}
