﻿/*
    Generates an Harmonious Triangle included in a frame
*/

#target photoshop

#include "Common.jsx"

var shapeName = "Harmonious Triangle";

#include "ScriptOpen.jsx"

    var angle;
    
    addFrame(origX, origY, docWidth, docHeight, lineSubPathArray, lineSubPathArrayPos);
    addLine(Array(origX, origY), Array(origX + docWidth, origY + docHeight), lineSubPathArray, lineSubPathArrayPos++);
    if(docHeight < docWidth)
    {
        angle = Math.atan2(docHeight, docWidth);
        addLine(Array(origX, origY + docHeight), Array(origX + docHeight * Math.tan(angle), origY), lineSubPathArray, lineSubPathArrayPos++);
        addLine(Array(origX + docWidth, origY), Array(origX + docWidth -  docHeight * Math.tan(angle), origY + docHeight), lineSubPathArray, lineSubPathArrayPos++);
    }else
    {
        angle = Math.atan2(docWidth, docHeight);
        addLine(Array(origX, origY + docHeight), Array(origX + docWidth, origY  + docHeight - docWidth * Math.tan(angle)), lineSubPathArray, lineSubPathArrayPos++);
        addLine(Array(origX + docWidth, origY), Array(origX, origY + docWidth * Math.tan(angle)), lineSubPathArray, lineSubPathArrayPos++);
    }
    
#include "ScriptClose.jsx"