﻿/*
    Generates the Rule of Thirds  included in a frame
*/

#target photoshop

#include "Common.jsx"

var shapeName = "Rule of Thirds";

#include "ScriptOpen.jsx"

    var vSection = docWidth / 3;
    var hSection = docHeight / 3;

    addFrame(origX, origY, docWidth, docHeight, lineSubPathArray, lineSubPathArrayPos);
    addLine(Array(vSection + origX, origY), Array(vSection + origX, docHeight + origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(docWidth - vSection + origX, origY), Array(docWidth - vSection + origX, docHeight + origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(origX, hSection + origY), Array(docWidth + origX, hSection + origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(origX, docHeight - hSection + origY), Array(docWidth + origX, docHeight - hSection + origY), lineSubPathArray, lineSubPathArrayPos++);

#include "ScriptClose.jsx"