﻿/*
    Generates a vertical Golden Triangle included in a frame
*/

#target photoshop

#include "Common.jsx"

var shapeName = "Golden Triangle";

#include "ScriptOpen.jsx"

    var section = docHeight  * 0.382;
 
    addFrame(origX, origY, docWidth, docHeight, lineSubPathArray, lineSubPathArrayPos);
    addLine(Array(origX, origY), Array(docWidth + origX, docHeight + origY), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(docWidth + origX, origY), Array(origX, origY + section), lineSubPathArray, lineSubPathArrayPos++);
    addLine(Array(origX, docHeight + origY), Array(docWidth + origX, docHeight + origY - section), lineSubPathArray, lineSubPathArrayPos++);

#include "ScriptClose.jsx"